Show / Hide Table of Contents

# Class EnumExtensions

##### Inheritance

System.Object
EnumExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat

###### Assembly: Dalamud.dll

##### Syntax

    public static class EnumExtensions

### Methods

| Improve this Doc View Source

#### GetAttribute<TAttribute>(Enum)

##### Declaration

    public static TAttribute GetAttribute<TAttribute>(this Enum value)

        where TAttribute : Attribute

##### Parameters

Type | Name | Description
--- | --- | ---
System.Enum | value |

##### Returns

Type | Description
--- | ---
TAttribute |

##### Type Parameters

Name | Description
--- | ---
TAttribute |